Announcement Announcement Module
Collapse
No announcement yet.
Issue with Roo 1.0.0.RC4 Page Title Module
Move Remove Collapse
This is a sticky topic.
X
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Issue with Roo 1.0.0.RC4

    Hi,

    We have seen issues with using Roo 1.0.0.RC4 for Spring Surf.

    The root of the issue is that if you use Roo RC4 and create a new Spring project which is a required step for Spring Surf project, it will generate a POM.xml and inject a dependency for the RC4 version of Roo annotation module.

    Since Spring Roo doesn't make that version available in their public Maven repository, you will get errors when you build the Spring or the Spring Surf project.

    To resolve the issue, you can

    1) Use Roo 1.0.0.RELEASE.

    Or

    2) If you want to keep using Roo 1.0.0.RC4, you can svn that ROO branch and run mvn install to install a local version of Roo RC4.

    Thanks!

    Yong
Working...
X